summaryrefslogtreecommitdiff
path: root/dev-python/python-stdnum
diff options
context:
space:
mode:
authormirror@stealer.net <mirror@stealer.net>2026-03-01 00:00:21 +0000
committermirror@stealer.net <mirror@stealer.net>2026-03-01 00:00:21 +0000
commitb8b66b58a7749b7418bf5e70c2306d9295677667 (patch)
treeb1ed0dd6c368663d9efab27e5215561b143ee35a /dev-python/python-stdnum
2026-02-28 22:24:04+00:00grafted
Diffstat (limited to 'dev-python/python-stdnum')
-rw-r--r--dev-python/python-stdnum/Manifest5
-rw-r--r--dev-python/python-stdnum/metadata.xml16
-rw-r--r--dev-python/python-stdnum/python-stdnum-2.1.ebuild35
-rw-r--r--dev-python/python-stdnum/python-stdnum-2.2.ebuild35
4 files changed, 91 insertions, 0 deletions
diff --git a/dev-python/python-stdnum/Manifest b/dev-python/python-stdnum/Manifest
new file mode 100644
index 0000000000..89c28b68c8
--- /dev/null
+++ b/dev-python/python-stdnum/Manifest
@@ -0,0 +1,5 @@
+DIST python_stdnum-2.1.tar.gz 1238596 BLAKE2B 91c7189a05c88c4c5db20585ac5290ca9b98b4040be8cd9cfba852800f2a368e5f1763a2220becba05bf99c3375a74f65d305f000bbab00cea46fafcf6804093 SHA512 d29989fd7a13fbc07763bd61ffd56914f1fdb66d89ad9538f64cf26c00550dda2d4725f24cc7e038a7164115ed68ab9877b4f2485ffd1682500aaca38853d4c0
+DIST python_stdnum-2.2.tar.gz 1311813 BLAKE2B 2f7cbe45536f27d16a9105749019a0efe1f86c635db53db3ff30098aca5d07bbaf3e05556619ef94be984e83bc3c0b5af4a1665dc98303107e4b7cad07775c42 SHA512 a4092ce09817e1606908836c8068f3dc9ccc69a21c969757fb052d755f5a475503cb722fe55100201843b551194174a27bd9ef1818a0f3befa1578dc6395234f
+EBUILD python-stdnum-2.1.ebuild 681 BLAKE2B 22b707eefaa01efafe35f10b92c7d723fcf5a526e71b99b4fbf8419d32c7a9406738cde739f80c7f532dddf48a9ee83b661da9545fde10976324ee9c779fdf65 SHA512 7f36736ca653b9b7c6705d803c0a7b892b60725e413c093ee06fe917bfb3640477a3e68b1c918caa41b4d10799fafe0e8f0a6478b93c7a8a7636d4328225f646
+EBUILD python-stdnum-2.2.ebuild 684 BLAKE2B 2d7e66da9b8c51534453905cb049bc1106f4df006f7b4e42454aff5619e5eb6d3d15f29c7e177842848e7036b9d40806e9f38ebe416b1a059ebf712c07241c0c SHA512 83bb767b13e3f73642c2677c1d7eec6b62eab1dc638cd73075a3bffee1f0861219bd366a4aaead3649069dc8da7f2dd3bab200e758db36ba21a4e1d6e2cf6b2e
+MISC metadata.xml 461 BLAKE2B ca459eeb4a49d155ee0e1f53a3830f500607e7b412c9546c05e54c99fb2d74982e4bb3815fb5373b627d09c580f3f6807737b33022542f0fb13ed45c085e57e1 SHA512 66ebd3c6792e7bc35df1b77171179191a98c476c38827fb11cfff1e0c003317a2eb296ae12cea484bdcfbfd364dfafb0abc60cf0886c993b66860f7d9efe6013
diff --git a/dev-python/python-stdnum/metadata.xml b/dev-python/python-stdnum/metadata.xml
new file mode 100644
index 0000000000..27b2aa1c38
--- /dev/null
+++ b/dev-python/python-stdnum/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <use>
+ <flag name="vies">Enable VIES</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">arthurdejong/python-stdnum</remote-id>
+ <remote-id type="pypi">python-stdnum</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-stdnum/python-stdnum-2.1.ebuild b/dev-python/python-stdnum/python-stdnum-2.1.ebuild
new file mode 100644
index 0000000000..3411ee22bd
--- /dev/null
+++ b/dev-python/python-stdnum/python-stdnum-2.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A module to handle standardized numbers and codes"
+HOMEPAGE="
+ https://arthurdejong.org/python-stdnum/
+ https://github.com/arthurdejong/python-stdnum/
+ https://pypi.org/project/python-stdnum/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 arm64 x86"
+IUSE="vies"
+
+RDEPEND="
+ vies? (
+ dev-python/zeep[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:--cov.*::' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/python-stdnum/python-stdnum-2.2.ebuild b/dev-python/python-stdnum/python-stdnum-2.2.ebuild
new file mode 100644
index 0000000000..6b03d250d7
--- /dev/null
+++ b/dev-python/python-stdnum/python-stdnum-2.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A module to handle standardized numbers and codes"
+HOMEPAGE="
+ https://arthurdejong.org/python-stdnum/
+ https://github.com/arthurdejong/python-stdnum/
+ https://pypi.org/project/python-stdnum/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="vies"
+
+RDEPEND="
+ vies? (
+ dev-python/zeep[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:--cov.*::' setup.cfg || die
+ distutils-r1_src_prepare
+}